MixinInstanceMetaProperty (Groovy 5.0.0)

Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class MixinInstanceMetaProperty

- org.codehaus.groovy.runtime.metaclass.MixinInstanceMetaProperty

-     public class MixinInstanceMetaProperty
      extends MetaBeanProperty

  MetaProperty for mixed in classes

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MetaProperty` | `PROPERTY_SET_PREFIX, name, type`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MixinInstanceMetaProperty(MetaProperty property, MixinInMetaClass mixinInMetaClass)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public CachedClass` | `getDeclaringClass()`
    `` | `public CachedClass` | `getDeclaringClass()`
    `` | `public int` | `getModifiers()`
    `` | `public int` | `getModifiers()`
    `` | `public String` | `getName()`
    `` | `public String` | `getName()`
    `` | `public Class` | `getReturnType()`
    `` | `public Class` | `getReturnType()`
    `` | `public Object` | `invoke(Object object, Object[] arguments)`
    `` | `public Object` | `invoke(Object object, Object[] arguments)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MetaBeanProperty` | `getField, getGetter, getModifiers, getProperty, getSetter, setField, setProperty`
    `class MetaProperty` | `getGetterName, getModifiers, getName, getProperty, getSetterName, getType, setProperty`

- - ### Constructor Detail

    - #### public MixinInstanceMetaProperty(MetaProperty property, MixinInMetaClass mixinInMetaClass)

  - ### Method Detail

    - #### @Override
      public CachedClass getDeclaringClass()

    - #### @Override
      public CachedClass getDeclaringClass()

    - #### @Override
      public int getModifiers()

    - #### @Override
      public int getModifiers()

    - #### @Override
      public String getName()

    - #### @Override
      public String getName()

    - #### @Override
      public Class getReturnType()

    - #### @Override
      public Class getReturnType()

    - #### @Override
      public Object invoke(Object object, Object[] arguments)

    - #### @Override
      public Object invoke(Object object, Object[] arguments)